package AOPEncryptionExample;

public aspect EncryptFieldAspect
{
	pointcut encryptStringMethod(Object o, String inString):
		call(@Encrypt * *(String))
		&& target(o)
		&& args(inString)
		&& !within(EncryptFieldAspect);

	void around(Object o, String inString) : encryptStringMethod(o, inString) {
		proceed(o, FakeEncrypt.Encrypt(inString));
		return;
	}
}